# Return a paginated list of blob sources available in the system

Retrieves the list of available blob sources from Azure Blob Storage that have not yet been deleted or permanently archived.

Endpoint: GET /sources/blobs
Version: 3.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Query parameters:

  - `page` (integer)
    The page number to retrieve. Defaults to 1 if not specified.

  - `pageSize` (integer)
    The number of items to return per page. Defaults to 50 if not specified.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `Page` (integer)
    The current page number.

  - `PageSize` (integer)
    The number of items per page.

  - `TotalCount` (integer)
    The total number of items available.

  - `Sources` (array)
    The list of blobs.

  - `Sources.Name` (string)
    The blob name.
    Example: content-transfer-12345678-1234-1234-1234-123456789abc.raif

  - `Sources.BlobState` (string)
    The transfer status of the blob. `Uploaded` indicates that the blob is ready to be [consumed](#operation/startItemsTransfer). `TransferredWithErrors` is a terminal state indicating partial success. In this state, retrieve the transfer details to inspect `ValidationErrors`.
    Enum: "Unknown", "Uploading", "Uploaded", "Initializing", "Error", "Consumed", "Transferred", "TransferredWithErrors", "Queued", "Discarded"

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `Error` (string)

